<?

/**************************************************
Program name:	memconfirm.php
Author:		Allen McGrath (allen@greatbridge.com)

Description:	handles new member confirmation and
		verifies the member as valid.

		1.  Retrieves register_id from query string. -- DONE
		2.  searches member table on register_id. -- DONE
		3.  if true, sets confirmed = true.  -- DONE
		4.  notifies user, that they are confirmed 
		5.  if false, error out.  -- DONE
								
Create Date:		9/22/00 

Modified Date(s):	
**************************************************/
 
/******************************************
 CHECK TO SEE IF THE PERSON IS ALREADY A
 MEMBER.  IF SO, SEND THEM TO CONTEXT AND LEAVE. OTHER
 WISE PROCEED AS PLANNED. 
*******************************************/
$web_page = "contextpage";
include("site_info.php");
$group_group_id = "memconfirm";


/******************************************
  SET DO_DEBUG TO YES IF YOU WANT TO SEE DEBUGGING
	AND ANY OTHER NEEDED VARIABLES
******************************************/
$do_debug = "no";

/******************************************
  THE REGISTER_ID IS PASSED VIA THE QUERY 
	STRING.  IF IT'S NOT THERE, TOSS AN ERROR
******************************************/
if (empty($QUERY_STRING)) {
	$group_group_id = "error" ;
	$context = "There was a problem accessing this script.  Information was not passed via the URL.  Please check your URL and try again.";
	include($page_template);
	return;
}

/******************************************
  A VALUE IS IN QUERY_STRING SO QUERY TO FIND
	A MATHCING RECORD.  NONE FOUND, SPLASH AN
	ERROR, IF ONE IS FOUND UPDATE THE CONFIRMED
	FIELD AND BE GONE.
******************************************/
	
$chk_query = "SELECT MEMBER_NAME,PASSWORD FROM MEMBER WHERE REGISTER_ID = '$QUERY_STRING'";

$chk_result = pg_exec($conn,$chk_query);

if (pg_numrows($chk_result) == 0) {
	$context = "There was a problem accessing this script.  Information passed via the URL was incorrect.  Please check your URL and try again.";
	include($page_template);
	return;
}

else {		

$member_info = pg_fetch_array($chk_result,0);
$upd_query = "UPDATE MEMBER SET CONFIRMED = 't' WHERE REGISTER_ID = '$QUERY_STRING'";

$upd_result = pg_exec($conn,$upd_query);

$context = "Thank you for confirming your $official_site membership.  You can now <a href=\"/member/memlogin.php\">log in</a> and begin using our site.";

    #
    # add the user to the cvs-passwd file!
    #
    if(!file_exists($CVS_PASSWORD_FILE)) {
        $context_error[] = "Cvs password file does not exits. Creating a new file.";
        touch($CVS_PASSWORD_FILE);
    }

    $passwd_line = $member_info["member_name"] . ":" . $member_info["password"] . ":cvsuser\n";

    $file = fopen($CVS_PASSWORD_FILE,"a");
    fwrite($file,$passwd_line);
    fclose($file);

}

if ($do_debug == "yes") {
	echo "<li>chk_query = " . $chk_query; 
	echo "<li>Found: " . $member_info[0];
}

/*********************************************
EVERYTHING IS SET, SO INCLUDE THE TEMPLATE
**********************************************/
include($page_template);


