<html>
<head>
<title>Great Bridge</title>
</head>
<body bgcolor="#ffffff">
<h1>Applications and Tools for PostgreSQL</h1>
<h2>Admin Tool</h2>
<p>
This list is a work in progress, provided to the PostgreSQL community as a
service of Great Bridge. Please feel free to <a href="#add">add to the list</a>
using the form below.
<p>
Thanks! Comments to Ned Lilly,
<a href="mailto:ned@greatbridge.com">ned@greatbridge.com</a>
<p>
<?php
    $webmaster = "chris@greatbridge.com";

    $query = "  select tools_types.name as cat, tools.name as name, " .
             "         tools.description, tools.url, tools.maintainer, " .
             "         tools.email, tools.tested, tools.submitter, " .
             "         tools.s_email, tools.do_show " .
             "    from tools_types, tools ".
             "   where tools_types.type = tools.type ".
             "order by tools_types.ordr, tools.name";

    if(!($res = @pg_exec($conn,$query))) {
        echo "There was an error getting information from the database. " .
             "Please contact the webmaster if the problem persists. " .
             "<a href=mailto:$webmaster>" .
             "$webmaster</a>";
        exit;
    }

    $last_category = "";
 ?>
<table border=1 cellpadding=5 cellspacing=0 width=100%>
        <tr bgcolor="#003399">
                <td><font color="#FFFFFF">Edit</font></td>
                <td><font color="#FFFFFF">Name</font></td>
                <td><font color="#FFFFFF">Description</font></td>
                <td><font color="#FFFFFF">URL</font></td>
                <td><font color="#FFFFFF">Maintained by:</font></td>
                <td><font color="#FFFFFF">Submitted by:</font></td>
                <td><font color="#FFFFFF">Tested by GB?</font></td>
                <td><font color="#FFFFFF">Do Show?</font></td>
        </tr>
<?php
    $r = 0;
    while(($row = @pg_fetch_object($res, $r++))) {
    $category = $row->cat;
    if($category != $last_category) {
        echo "<tr bgcolor=\"#003399\"><td colspan=8><font color=\"#FFFFFF\">" .
             $row->cat . "</font></td></tr>\n";
    }
    $last_category = $category;
 ?>
        <tr>
                <td><a href="toolsedit.php?name=<?php echo urlencode($row->name) ?>">Edit</a></td>
                <td><?php echo $row->name ?></td>
                <td><?php echo $row->description ?></td>
                <td><a href="<?php echo $row->url ?>"><?php echo $row->url ?></a></td>
                <td><a href="mailto:<?php echo $row->email ?>"><?php echo $row->maintainer ?></a></td>
                <td><?php echo $row->submitter ?> <a href="mailto:<?php echo $row->s_email ?>"><?php echo $row->s_email ?></a></td>
                <td><?php echo ($row->tested=='f'?"No":"Yes") ?></td>
                <td><?php echo ($row->do_show=='f'?"No":"Yes") ?></td>
        </tr>
<?php
    } /* end of the for loop */
 ?>
</table>

<p>
Current Categories:
<table>
<tr><td>Edit</td><td>Delete</td><td>Order Num</td><td>Name</td></tr>
<?php
    $res = pg_exec($conn,"select * from tools_types order by ordr");
    $r = 0;
    while($row = @pg_fetch_object($res,$r++)) {
        echo "<tr><td><a href=\"toolsedit.php?cat_id=" . $row->type .
             "&edit=cat\">Edit</a>" . "</td><td><a href=\"toolsedit.php?cat_id=" .
             $row->type . "&delete=cat\">Delete</a></td><td align=center>" . $row->ordr .
             "</td><td>" . $row->name . "</td></tr>\n";
        $last_ordr = $row->ordr;
    }
 ?>
</table>
<p>
<form method=post action="toolsedit.php">
    <input type=hidden name=update value=new_cat>
Create a new Category:<br>
<blockquote>
Category name: <input type=text name="cat_name" width=40><br>
Category Order: <input type=text name="cat_order" value="<?php echo ($last_ordr + 1) ?>"><br>
<input type="submit" value="Add new Category"> <input type=reset>
</blockquote>
</form>

</body>
</html>

