<?

/**************************************************\
Program name:	  faq_maint.php  
Author:	          Allen McGrath(amcgrath@greatbridge.com)

Description:	  maintenance page for faq and faq categories
			
Create Date:  01/17/2001		 

Modified Date(s):
\**************************************************/

$web_page = "faqmaintpage";
include("site_info.php");
$group_group_id = "faq";

if($access_level < 3) {
    $web_page = "contextpage";
    $context = "Access Denied:";
    $context_error[] = "You must be a developer and a project admin to administer the faq information.";
    include($page_template);
    return;
}
# clear up any missing information that is not necessarily
# required or can be set to default
if (empty($version_id))
  $version_id = 0;
if (empty($display))
  $display = 't';


# if the user is submitting data to the form, figure out if it
# is for an existing FAQ or they want to insert a new one

if ($REQUEST_METHOD == "POST") {

  if (empty($question) || empty($response)) {
    $context = "There was a problem with your request.  " .
               "The question and response fields are required.";
  } else { 
    $question  = sqlText($question);
    $response  = sqlText($response);
    $example_1 = sqlText($example_1);
  
    if (!empty($faq_id)) {
      $fu_query = "update faq set " .
                  "question    = $question, " .
                  "response    = $response, " .
                  "example_1   = $example_1, " .
                  "version_id  = $version_id, " .
                  "member_id   = $member_id, " .
                  "modify_date = now(), " .
                  "display     = '$display' " .
                  "where project_id = $project_id " .
                  "and faq_id = $faq_id";
      $fcd_query = "delete from faq_cat_group where faq_id = $faq_id";
      $fcd_result = pg_exec($conn,$fcd_query);
      $fu_result = pg_exec($conn,$fu_query);
    } else {
      $fu_query = "insert into faq " .
                  "(question,response,example_1,version_id," . 
                  "member_id,display,project_id) " .
                  "values($question,$response,$example_1,$version_id," .
                  "$member_id,'$display',$project_id)";

      $fu_result = pg_exec($conn,$fu_query);
      $fi_query = "select faq_id from faq where " . 
                 "project_id = $project_id " .
                 "and member_id = $member_id " .
                 "and question = $question";
      $fi_result = pg_exec($conn,$fi_query);
      $faq_id = pg_result($fi_result,0,0);
    }
#  echo "DEBUG: fu_query: " . $fu_query;
   
    $fci_query = "insert into faq_cat_group (faq_id,cat_id) " .
                 "values ($faq_id,$cat_id)";
# echo $fci_query;
    $fci_result = pg_exec($conn,$fci_query);
    $context = "The changes you made have been entered into the system.";
    unset($faq_id,$question,$response,$example_1);
  }

# if entering this page for the first time, check to see if 
# they faq_id is being passed.  of so, retrieve, set and bail
}

  $faq_query = "select a.faq_id,a.question,a.response,a.example_1," .
               "a.version_id,b.cat_id " .
               "from faq a, faq_cat_group b where a.project_id = $project_id " .
               "and a.display = 't' and b.faq_id = a.faq_id";

  $faq_result = pg_exec($conn,$faq_query);

#   echo "DEBUG: faq_query: " . $faq_query;

  $fx = 0;
  while($row = @pg_fetch_array($faq_result,$fx++)) {
    if ($row["faq_id"] == $faq_id) {

# echo "DEBUG: OUCH!";

      $question   = $row["question"];
      $response   = $row["response"];
      $example_1  = $row["example_1"];
      $version_id = $row["version_id"];
      $cat_id     = $row["cat_id"];
    } else {
      $faq_list[$row["faq_id"]] = $row["question"];
    }
  }

#before leaving, retrieve any drop down data needed here

$versionList = getProjectVersions($project_id);

$fcat_query = "select cat_id,cat_name from faq_category " .
              "where project_id = $project_id";
$fcat_result = pg_exec($conn,$fcat_query);
if(pg_numrows($fcat_result) < 1) {
    $query = "insert into faq_category ".
             "       (project_id, member_id, cat_name, description) ".
             "values ($project_id, $member_id, 'General', ".
             "        'General Questions and Answers')";
    $res   = @pg_exec($conn,$query);
    $fcat_result = pg_exec($conn,$fcat_query);
}
# echo $fcat_query;
$f = 0;
while($row = @pg_fetch_array($fcat_result,$f++)) {
 $fcat_list[$row["cat_id"]]  = $row["cat_name"];
}



include($page_template);
 ?>
