<?
    $web_page = "projdisplaypage";
    include("site_info.php");
	$group_group_id = "projecthome";

    $query = "select * ".
             "  from project ".
             " where project_id = $project_id ";
    $res   = pg_exec($conn,$query);
    $project = @pg_fetch_array($res,0);

    if(pg_numrows($res) > 0 && $project["approved"] == "t") {
        $query = "select * ".
                 "  from license ".
                 " where license_id = ${project["license_id"]} ";
        $res   = pg_exec($conn,$query);
        $project_license = pg_fetch_array($res,0);

/*
 * Old code for members not being used
        # get all the people who are part of this project
        # first lets get the admins
        $query = "  select member.member_id, member.member_name ".
                 "    from member_role, member ".
                 "   where member_role.member_id = member.member_id ".
                 "     and member_role.role_id = 4 ".
                 "     and project_id = $project_id ".
                 "order by member.member_name ";
        $res   = pg_exec($conn,$query);
        $r = 0;
        while($row = @pg_fetch_array($res,$r++)) {
            $proj_admins[$row["member_id"]] = $row["member_name"];
        }

        # now get everyone else who is a member of this project
        $query = "  select member.member_id, member.member_name ".
                 "    from member_role, member ".
                 "   where member_role.member_id = member.member_id ".
                 "     and member_role.role_id < 4 ".
                 "     and project_id = $project_id ".
                 "order by member.member_name ";
        $res   = pg_exec($conn,$query);
        $r = 0;
        while($row = @pg_fetch_array($res,$r++)) {
            $proj_members[$row["member_id"]] = $row["member_name"];
        }
 */
        $roles = getMemberRoles();
        $query = "  select member.member_id as member_id, ".
                 "         member.member_name as member_name, ".
                 "         member_role.role_id as role_id ".
                 "    from member, member_role ".
                 "   where member.member_id = member_role.member_id ".
                 "     and member_role.project_id = $project_id ".
                 "order by member_role.role_id desc, ".
                 "         member.member_name ";
        $res   = pg_exec($conn,$query);
        $r = 0;
        while($row = @pg_fetch_array($res,$r++)) {
            $members[$row["member_id"]] = $row;
        }

        /* get the user access level for this project */
        $access_level = getUserAccess($member_id,$project_id);

        /* Get the number of bugs on this project */
        $query = "select count(*) from bug ".
                 " where project_id = $project_id ";
        $res   = pg_exec($conn,$query);
        $num_bugs = pg_result($res,0,0);

        /* Get the number of feature requests on this project */
        $query = "select count(*) from bug ".
                 " where project_id = $project_id ".
                 "   and class_id = 61 ";
        $res   = pg_exec($conn,$query);
        $num_frs = pg_result($res,0,0);

        /* get the number of tasks on this project */
        $query = "select count(*) from task ".
                 " where project_id = $project_id ";
        $res   = pg_exec($conn,$query);
        $num_tasks = pg_result($res,0,0);

    } else {
        /* Couldn't find the project they were looking for */
        $web_page = "contextpage";
        $context = "Unable to show Project Information.";
        $context_error[] = "Please see the <a href=\"/project/projdisplaylist.php\">Project List</a>.\n";
    }

# grab news stories here
	      $news_list = getNews($site_group_id,$project_id,0,false);    
    include($page_template);
 ?>
