<?
    $web_page = "projerrataaddpage";
    include("site_info.php");
    $group_group_id = "errataadd";

    if($access_level < 3) {
        $web_page = "contextpage";
        $context = "Access Denied:";
        $context_error[] = "You must be a developer or admin of this project to access this feature.";
    } else {
        if($REQUEST_METHOD == "POST") {
            if(empty($version_id)) $context_error[] = "You must select a version.";
            if(empty($cat_id)) $context_error[] = "You must select a category.";
            if(empty($title)) $context_error[] = "You must enter a brief description.";

            if(empty($context_error)) {
                $title = sqlText($title);
                $description = sqlText($description);
                $query = "insert into project_errata ".
                         "       (version_id, title, description, ".
                         "        cat_id, created_by) ".
                         "values ($version_id, $title, $description, ".
                         "        $cat_id, $member_id) ";
                $res   = @pg_exec($conn,$query);
                if(empty($res)) {
                    $context_error[] = pg_errormessage($conn);
                }
            }

            if(!empty($context_error)) {
                $web_page = "contextpage";
                $context = "Error adding new Errata entry:";
            } else {
                $context = "Errata Entry sucessfuly added.";
            }
        }
        $versionList = getProjectVersions($project_id);
        $errataCatList = getErrataCategories();        
    }

    include($page_template);
 ?>
