<?

/**************************************************
Program name:		create.php  
Author:					Allen McGrath (allen@greatbridge.com)

Description:		

Create Date:		10/04/00 

Modified Date(s):	
**************************************************/
 
/******************************************
SET THE PAGE AND CALL SITE_INFO
*******************************************/
$web_page = "surveycreatepage";
include("site_info.php");
$group_group_id = "surveycreate";


/******************************************
  SET DO_DEBUG TO YES IF YOU WANT TO SEE DEBUGGING
	AND ANY OTHER NEEDED VARIABLES
******************************************/
$do_debug = "no";
$su_scen = "new"; 
$answer_list = array();


$su_query = "SELECT SURVEY_ID, SURVEY_TITLE, ACTIVE FROM SURVEY WHERE " .
						"MEMBER_ID = $member_id AND PROJECT_ID = $project_id";


$su_result = pg_exec($conn,$su_query);


/*****************************************
GET THE SURVEY INTO THE SURVEY TABLE ONLY ONCE.
******************************************/

if (pg_numrows($su_result) == 0) { 
	if (empty($temp_id)) {
		$temp_id = md5(time());
		$context = "Create your own survey below.";
		include ($page_template);
		return;
	}
	elseif ($REQUEST_METHOD == "POST") {
		$sui_query = "INSERT INTO SURVEY (MEMBER_ID, PROJECT_ID, TEMP_ID, SURVEY_TITLE) " .
							 "VALUES ($member_id, $project_id, '$temp_id', '$survey_title')";
				
		$sui_result = @pg_exec($conn,$sui_query);
		
		$su_scen = "exist";
		
		$su_query = "SELECT SURVEY_ID, SURVEY_TITLE, ACTIVE FROM SURVEY WHERE " .
								"MEMBER_ID = $member_id AND PROJECT_ID = $project_id " .
								"AND TEMP_ID = '$temp_id'";


		$su_result = pg_exec($conn,$su_query);		
		$survey_info = pg_fetch_object($su_result,0);
		$survey_id = $survey_info->survey_id;
		$active = $survey_info->active;
		$survey_title = $survey_info->survey_title;
		
	}

}

else {

		$survey_info = pg_fetch_object($su_result,0);
		$survey_id = $survey_info->survey_id;
		$survey_title = $survey_info->survey_title;
		$active = $survey_info->active;
		$su_scen = "exist";
}	

if ($do_debug == "yes") {
	echo "<li>active = " . $active;
	echo "<li>su_query = " . $su_query;
	echo "<li>su_query rows = " . pg_numrows($su_result);
}

/******************************************
BY NOW THE SURVEY IS CREATED.  NOW WE NEED
TO ADD THE QUESTIONS AND ANSWERS TO THEIR TABLES
********************************************/
if ($REQUEST_METHOD == "POST") {

	if (empty($question)) {
		$context_error[] = "You cannot leave the question field blank.";
	}

	for ($a = 1; $a <= 4; $a++) {
		$answer = "answer_" . $a ;
		if (!empty($$answer)) $answer_list[] = $$answer;
	}

	if (count($answer_list) < 2) {
		$context_error[] = "You must enter at least 2 possible answers.";
	}
	
	if (count($context_error) > 0)  {
		$context = "There was a problem with the information you submitted:";
	}
	
	
/* THERE WERE NO ERRORS SO PROCEED */
	else {
		$chk_query = "SELECT QUESTION_ID FROM SURVEY_QUESTION WHERE " .
								"SURVEY_ID = $survey_id AND TEMP_ID = '$temp_id'";
		
		$chk_result = pg_exec($conn,$chk_query);
		
		if (pg_numrows($chk_result) == 0) {
			$qu_query = "INSERT INTO SURVEY_QUESTION (SURVEY_ID,QUESTION,TEMP_ID) " .
								 "VALUES($survey_id,'$question','$temp_id')";
		
			$qu_result = pg_exec($conn,$qu_query);
		
			$qid_query = "SELECT CURRVAL('survey_quest_id_seq')";
			$qid_result = pg_exec($conn,$qid_query);
			$question_id = pg_result($qid_result,0,0);
					
		}
		else {
			$qu_query = "UPDATE SURVEY_QUESTION SET QUESTION = '$question' " .
									"WHERE SURVEY_ID = $survey_id AND TEMP_ID = '$temp_id'";

			$qu_result = pg_exec($conn,$qu_query);									
			
			$question_id = pg_result($chk_result,0,'question_id');
		}
		
		
		# delete all the answers and re-insert them 
		
		$ad_query = "DELETE FROM SURVEY_ANSWER WHERE " .
								"QUESTION_ID = $question_id ";
		$ad_result = pg_exec($conn,$ad_query);
		
		
		for ($ans = 1; $ans <= count($answer_list); $ans++) {
			$ai_query = "INSERT INTO SURVEY_ANSWER (question_id,answer,temp_id) " .
									"VALUES($question_id,'{$answer_list[$ans - 1]}','$temp_id')";
		
			$ai_result = pg_exec($conn,$ai_query);
		}

		unset ($question);
		unset ($answer_list);
	}
}

elseif (!empty($QUERY_STRING)) {

	if ($access_level == 4) {
		$active = ($active == 't' ? "f" : "t");
		$act_query = "UPDATE SURVEY SET ACTIVE = '$active' " .
								 "WHERE SURVEY_ID = $QUERY_STRING " .
								 "AND MEMBER_ID = $member_id " .
								 "AND PROJECT_ID = $project_id";
	
		$act_result = pg_exec($conn,$act_query);
		$context = "Your survey activation status has been updated.";
	}
	else $context = "You do not have admin priviliges to activate/deactivate a survey.";
		$web_page = "contextpage";
		include($page_template);
		return;
}
/***********************************************
EVERYTHING SOHULD BE GOOD TO GO AT THIS POINT.
NOW GET SURVEY INFO FOR DISPLAY AND BAIL.
***********************************************/
	$qc_query = "SELECT COUNT(*) AS qcnt FROM SURVEY_QUESTION " .
						 "WHERE SURVEY_ID = $survey_id";

	$qc_result = pg_exec($conn,$qc_query);

	$qcnt = pg_result($qc_result,0,0);
	
	$rc_query = "SELECT COUNT(*) AS rcnt FROM SURVEY_RESPONSE " .
						  "WHERE SURVEY_ID = $survey_id";
	
	$rc_result = pg_exec($conn,$rc_query);
	
	$rcnt = pg_result($rc_result,0,0);


/******************************************
EVERYTHING IS FINISHED SO INCLUDE THE TEMPLATE	
******************************************/
$temp_id = md5(time());
include($page_template);
?>



















