<!--- ***
FILENAME:          gb_navpage.php
AUTHOR:             james bull - james@greatbridge.com

DESCRIPTION:     this file is included by *.php application files (the filename in
			   the url) and is the complete navigation for greatbridge.com that
			   dynamicly handles:
				- meta data
				- navigation display
				- inclusion of content templates
*** --->
<html>
<head>
<meta name="keywords" description="<?= $meta_keyword ?>">
<meta name="description" description="<?= $meta_description ?>">
<title><?= $page_title ?></title>
<style>
<?  if(!empty($INCLUDE_ADDITIONAL_CSS)) { 
     include($INCLUDE_ADDITIONAL_CSS);
     } ?>
a:link{
  font-family:"lucida","arial","verdana";
  font-size: 12px;
  font-style:normal;
  font-weight:bold;
  color:#006699;
  text-decoration:none;
}
a:visited{
  font-family:"lucida","arial","verdana";
  font-size: 12px;
  font-style:normal;
  font-weight:bold;
  color:#006699;
  text-decoration:none;
}
a:hover{
  color:"red";
  text-decoration:underline;
}
.bg TD {
	background : url(<?= $image_path ?>/nav/left_cell_bg.gif) no-repeat;
	background-color:<?= $color_2 ?>;

}
</style>
</head>
<body bgcolor="<?= $color_2 ?>" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" vlink="<?= $color_6 ?>" alink="<?= $color_6 ?>" link="<?= $color_6 ?>">
<map name="top_right_nav">
<area shape="rect" alt="download" coords="0,0,52,45" href="/download/downlaod.php">
<area shape="rect" alt="contact us" coords="100,0,146,45" href="/about/contact.php">
<area shape="rect" alt="greatbridge news" coords="53,0,99,45" href="/about/presslist.php">
</map>
<!-- the top table (1) -->
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
<td><img src="<?= $image_path ?>/nav/top01_01.gif" width="338" height="72"></td>
<td width="100%" align="right"><img src="<?= $image_path ?>/nav/top_right_nav.gif" width="147" height="46" border="0" usemap="#top_right_nav"></td>
<td align="right"><img src="<?= $image_path ?>/nav/top01_03.gif" width="74" height="72"></td>
</tr>
</table>
<!-- end top table (1) -->
<!-- the top table (2) -->
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
<td colspan="3"><img src="<?= $image_path ?>/nav/top02_01.gif" width="85" height="17"></td>
</tr>
<tr>
<td><img src="<?= $image_path ?>/nav/top02_02.gif"></td>
<? if($web_page = "homepage") { ?>
<td width="100%"><font face="<?= $font_1 ?>" size="2" color="<?= $color_8 ?>"><b>Welcome!</b></font></td>
<? } else { ?>
<td width="100%"><img src="<?= $image_path ?>/nav/secondary_<?= $group_group_id ?>.gif" height="18" border="0" usemap="#<?= $getMap ?>"></td>
<? } ?>
<td nowrap><font face="<?= $font_1 ?>" size="2" color="<?= $color_5 ?>"><b><? print (date ("F j, Y")); ?></b></font><img src="<?= $image_path ?>/hsim.gif" width="5" height="1"></td>
</tr>
<tr>
<td colspan="3"><img src="<?= $image_path ?>/nav/top02_05.gif" width="174" height="20"></td>
</tr>
</table>
<!-- end top table (2) -->
<!-- left nav and content table -->
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
<!-- left nav -->
<td valign="top">
	<table cellpadding="0" cellspacing="0" border="0" width="100%" class="bg">
	<tr>
	<td>
	<!-- the left nav image links and spacers -->
	<img src="<?= $image_path ?>/shim.gif" width="56" height="1"><a href="/index.php"><img src="<?= $image_path ?>/nav/left_home<?= $group_group_id == "homepage"?"_on":""  ?>.gif" width="38" height="25" border="0"></a><br>
	<img src="<?= $image_path ?>/shim.gif" width="40" height="1"><a href="/product/prodgbpgsql.php"><img src="<?= $image_path ?>/nav/left_prod<?= $group_group_id == "prod"?"_on":""  ?>.gif" width="114" height="25" border="0"></a><br>
	<img src="<?= $image_path ?>/shim.gif" width="25" height="1"><a href="/docs/"><img src="<?= $image_path ?>/nav/left_doc<?= $group_group_id == "doc"?"_on":""  ?>.gif" width="91" height="25" border="0"></a><br>
	<img src="<?= $image_path ?>/shim.gif" width="17" height="1"><a href="http://www.greatbridge.org/"><img src="<?= $image_path ?>/nav/left_developers<?= $group_group_id == "developers"?"_on":""  ?>.gif" width="68" height="25" border="0"></a><br>
	<img src="<?= $image_path ?>/shim.gif" width="12" height="1"><a href="/about/about.php"><img src="<?= $image_path ?>/nav/left_about<?= $group_group_id == "about"?"_on":""  ?>.gif" width="59" height="25" border="0"></a><br>
	<!-- hold the size of this column so all of background shows -->
	<img src="<?= $image_path ?>/shim.gif" width="120" height="320"></td>
	</tr>
	</table>
</td>
<!-- end left nav -->
<!-- spacer column -->
<td><img src="<?= $image_path ?>/shim.gif" width="10" height="1"></td>
<!-- end spacer column -->
<!-- content -->
<td valign="top" width="100%">
<!--- *** include page template *** --->
	<?
	include($template_path . "/" . $name_prefix . "_" . $web_page . ".php")
	?>
<!--- *** end page template include *** --->
</td>
<!-- end content -->
<td><img src="<?= $image_path ?>/hsim.gif" width="5" height="1"></td>
</tr>
</table>
<!-- end left nav and content table -->
</body>
</html>