<table cellspacing="0" cellpadding="4" border="0" width="100%">
<tr>
<td>
<p><font face="<?= $font_1 ?>" size="2">At Great Bridge, we intend to give you as much control as possible over your personal information, including the Registration Data. We will let each user know how we will use the personal information derived from each user's access to and use of Great Bridge and/or the Services.</font></p>
<p><font face="<?= $font_1 ?>" size="2"><b>NOTICE</b></font></p>
<p><font face="<?= $font_1 ?>" size="2">Great Bridge will track the domains from which people visit Great Bridge and analyze this data for trends and statistics. Subject to the provisions of this Privacy Policy, different Great Bridge sites may use accumulated data for different purposes, including but not limited to marketing analysis, service evaluation and planning.</font></p>
<p><font face="<?= $font_1 ?>" size="2">Great Bridge contains links to other Websites, whether owned or controlled by Great Bridge affiliates or unrelated third parties. Great Bridge is not responsible for the privacy policies and practices of any linked Website.</font></p>
<p><font face="<?= $font_1 ?>" size="2">Currently, Great Bridge uses personal information as a basis for notifications to users, "opt-in" emails, and in order to implement the terms of the Terms of Service governing the website (the "TOS"). User names and email addresses (as well as any additional information that a user may choose to post) are publicly available on the Great Bridge site, unless a user elects to "opt-out" of such display of personal information. However, in cases where users voluntarily and publicly disclose personal information which may contain Registration Data, or otherwise post personal information in conjunction with content subject to an open source license, such personal information necessarily will be disclosed subject to the terms of the applicable license.</font></p>
<p><font face="<?= $font_1 ?>" size="2">Subject to the foregoing, Great Bridge may conduct surveys or other studies of its customer base and usage for marketing and planning purposes. With respect to information collected from such surveys or studies, and in the event that responses are to be publicly disclosed, users will be notified at the time they take the survey and Great Bridge will disclose only aggregate information regarding its users and not personal information identifying any specific individual.</font></p>
<p><font face="<?= $font_1 ?>" size="2"><b>CHOICE</b></font></p>
<p><font face="<?= $font_1 ?>" size="2">Cookies: Great Bridge employs "cookies" to provide a user with tailored information. A "cookie" is an element of data which a Service or site, when visited by a user, sends to that user's browser which, in turn, may store that element on the user's hard drive or memory. Great Bridge uses cookies to better serve users who use our Services; any cookies sent by Great Bridge will be marked so that they will only be accessible by websites subject to this Privacy Policy. However, at his or her option and at his or her sole expense and responsibility, any user may block or delete our cookies from his or her hard drive. However, by disabling cookies, certain site features and functionality may no longer work properly, or at all.</font></p>
<p><font face="<?= $font_1 ?>" size="2">"Opt-in" Emails: Users may "opt-in" to receive site notifications, newsletters or other information via email. Users may remove themselves from such services at their discretion. Any email sent to an "opt-in" list will include directions for how a user may remove him or herself from the list, or a URL where the user may find such directions.</font></p>
<p><font face="<?= $font_1 ?>" size="2">Other Notification: In order to implement or enforce the Terms of Service of the relevant Great Bridge site, Great Bridge may use personal information to contact users on an individual basis.</font></p>
<p><font face="<?= $font_1 ?>" size="2">Profile Display: In some cases, users' personal information may be publicly available through a user's profile display. In such cases, users have the option to opt out of publicly displaying their real names. In cases where site profiles allow users to display optional information publicly, such entry and display is at the user's discretion and may be changed at any time by the user.</font></p>
<p><font face="<?= $font_1 ?>" size="2">Email Display: In some cases, users may have the opportunity to use a Service to send electronic mail to another user or email list. In such cases, a user's valid email address and real name will be included with such messages. In order to prevent abuse, users may not opt-out of such a display, but may choose to refrain from using said Service to transmit an email message.</font></p>
<p><font face="<?= $font_1 ?>" size="2">General: In cases where users voluntarily and publicly disclose personal information which may contain Registration Data, or otherwise post personal information, in conjunction with content subject to an open source license such personal information necessarily will be disclosed subject to the terms of the applicable license. An example of such a disclosure includes, but is not limited to, a user's disclosure of personal information as part of a message posted to a public message forum, or a publicly-released software application.</font></p>
<p><font face="<?= $font_1 ?>" size="2">At no time, unless such disclosure is required by law or a user specifically authorizes such disclosure, will Great Bridge disclose individual user personal information that is not publicly available to unrelated third parties.</font></p>
<p><font face="<?= $font_1 ?>" size="2">Surveys and Resulting Information: Subject to the foregoing, Great Bridge may conduct surveys or other studies of its customer base and usage for marketing and planning purposes. Participation in such surveys is at the user's option; Great Bridge does not conduct mandatory surveys.</font></p>
<p><font face="<?= $font_1 ?>" size="2">With respect to information collected from such surveys or studies, and in the event that responses are to be publicly disclosed, users will be notified at the time they take the survey and Great Bridge will disclose only aggregate information regarding its users and not personal information identifying any specific individual. Circumstances under which Great Bridge would publicly disclose such aggregate information include, but are not limited to, sharing survey results with the site population, providing data to Great Bridge advertisers on user preferences and/or demographics, and publicizing overall usage data in press communications.</font></p>
<p><font face="<?= $font_1 ?>" size="2">Notwithstanding the foregoing, in cases where surveys allow users to submit written comments, and where Great Bridge advises users of the possibility of such disclosure at the time they take the survey, Great Bridge reserves the right to disclose text information provided by any user through such a survey, provided that no personal information identifying that user is disclosed.</font></p>
<p><font face="<?= $font_1 ?>" size="2"><b>ACCESS</b></font></p>
<p><font face="<?= $font_1 ?>" size="2">With regard to personal information, users can view their data on their personal profile page. When technically feasible, users are permitted to update their personal information directly through Great Bridge Service. When such updating service is not technically feasible, Great Bridge will make reasonable efforts to assist users in updating their personal information.</font></p>
<p><font face="<?= $font_1 ?>" size="2"><b>SECURITY</b></font></p>
<p><font face="<?= $font_1 ?>" size="2">To secure site integrity, Great Bridge employs measures including but not limited to security audits, use of encryption tools and software, and other reasonable security measures and procedures.</font></p>
<p><font face="<?= $font_1 ?>" size="2">Internal access to users' private and nonpublic personal information is restricted to site administrators and individuals on a need-to-know basis.</font></p>
<p><font face="<?= $font_1 ?>" size="2"><b>ENFORCEMENT</b></font></p>
<p><font face="<?= $font_1 ?>" size="2">In the event that Great Bridge becomes aware that site security is compromised or user nonpublic information has been disclosed to unrelated third parties as a result of external activity, including but not limited to external security attacks, Great Bridge shall take reasonable measures which it deems appropriate, including but not limited to internal investigation and reporting, and notification to and cooperation with law enforcement authorities.</font></p>
<p><font face="<?= $font_1 ?>" size="2">If Great Bridge becomes aware that a user's personal information provided to Great Bridge has been disclosed in a manner not permitted by this Privacy Policy, Great Bridge shall make reasonable efforts to notify the affected user, as soon as reasonably possible and as permitted by law, of what information has been disclosed, to the extent that Great Bridge knows this information.</font></p>
<p><font face="<?= $font_1 ?>" size="2"><b>UPDATES TO THE PRIVACY POLICY</b></font></p>
<p><font face="<?= $font_1 ?>" size="2">To update the privacy policy, we will both post the changed version and its effective date at http://www.greatbridge.org/privacy.php. Concurrently with any change to the core privacy policy, we will email notice of the change to known users at least 15 days (or such shorter or longer time as mandated by law or any judicial or government body ) in advance.</font></p>
</td>
</tr>
</table>
