<table cellspacing="0" cellpadding="4" border="0" width="100%">
<tr>
<td>
<font face="<?= $font_1 ?>" size="2">
<b>1.  DESCRIPTION OF SERVICE</b><br>
GreatBridge.org is a website located at  <a href="http://www.greatbridge.org/">www.greatbridge.org</a> (the "Site") and is owned and operated by Great Bridge, LLC ("Great Bridge") for the purpose of fostering software development and content creation under Open-Source Initiative ("OSI")-style licenses or other Great Bridge-approved arrangements relating to software and/or content development (the "Purpose").  The Site offers access to a rich collection of online resources for Open Source software development and content creation, including various communications tools, source code control and project management tools, personalized content and branded programming (collectively, the "Services").
<p>
<b>2.  ACCEPTANCE OF TERMS</b><br>
Use of the Site is subject to the Site's Terms of Service ("TOS"), which may be updated from time to time as set forth below.  Each user can review the then-current TOS at any time at: <a href="/about/termscond.php">http://www.greatbridge.org/about/termscond.php</a>. Use of the Site constitutes full acceptance of and agreement to the TOS; if a user does not accept our TOS, he or she is not granted rights to use the Site, and should refrain from accessing the Site.
<p>
Changes to the TOS will be posted at <a href="/about/termscond.php">http://www.greatbridge.org/about/termscond.php</a> and become effective when 
posted. A notice of the change will be posted on the home page of the Site for a period of 30 days following such change. Great Bridge reserves the right at any time to modify or discontinue, temporarily or permanently, the Site or any Service (or any part thereof) without notice.  Great Bridge shall not be liable to any user or other third party for any modification, suspension, interruption or discontinuance except as expressly provided herein.
<p>
<b>3.  REGISTRATION OBLIGATIONS</b><br>
Each user must: (a) provide true, accurate, current and complete information on the Site's registration form (collectively, the "Registration Data"), (b) accept the TOS as provided for on the registration page, and (c) maintain and promptly update the Registration Data as necessary.  If Great Bridge suspects that a user's information is untrue, inaccurate, not current or incomplete, Great Bridge may suspend or terminate that user's account and prohibit current or future use of the Site (or any portion thereof) by that user.
<p>
Each registered user will receive a password and account designation upon completion of the registration process.  Each user is responsible for maintaining the confidentiality of his or her password and account, and is wholly liable for all activities occurring thereunder.  Great Bridge will not be liable for any loss or damage arising from a user's failure to comply with the TOS, including any loss or damage arising from any user's failure to (a) immediately notify Great Bridge at webmaster@greatbridge.org of any unauthorized use of his or her password or account or any other breach of security and (b) ensure that he or she exits from his or her account at the end of each session.
<p>
Great Bridge uses and maintains Registration Data in accordance with the Site's Privacy Policy accessible at <a href="/privacy.php">http://www.greatbridge.org/privacy.php</a>.
<p>
<b>4.  CONTENT</b><br>
Each user is solely responsible for all information, data, text, software, music, sound, photographs, 
graphics, video, messages or any other materials whatsoever (collectively, "Content") that he or she 
uploads, posts, emails or otherwise transmits via the Site.  No user shall transmit Content or otherwise 
conduct or participate in any activities on the Site which, in the opinion of Great Bridge, are prohibited by law in applicable jurisdictions, including, but not limited to, any laws, rules or regulations governing the encryption of software, the export of technology, the transmission of obscenity or the permissible uses of intellectual property.
<p>
Great Bridge shall have the right (but not the obligation) in its sole discretion to refuse or delete any Content which it deems not to fulfill the Purpose, or which it considers offensive, illegal, in violation of the TOS or permissible to delete under the terms of the Digital Millenium Copyright Act.  Great Bridge, in its sole discretion, may preserve Content and may disclose Content if required by law or judicial or governmental mandate or as it determines necessary to protect the rights, property or personal safety of Great Bridge, the Site, its users and the public.  Great Bridge does not guarantee the accuracy, integrity or quality of Content posted on the Site.  Each user must evaluate, and bear all risks associated with, the use of any Content, including any reliance on the accuracy, completeness, or usefulness of such Content.  Under no circumstances will Great Bridge be liable in any way for any Content, including, but not limited to, liability for any errors or omissions in any Content or for any loss or damage of any kind incurred as a result of the use of any Content posted, emailed or otherwise transmitted via the Site.
<p>
<b>5.  LICENSING AND OTHER TERMS APPLYING TO CODE AND OTHER CONTENT</b><br>
Use, reproduction, modification, and other intellectual property rights to data stored in CVS or as a file 
release and posted by any user on the Site ("Source Code") shall be subject to the OSI-style license 
applicable to such Source Code, or to such other licensing arrangements that may be approved by Great Bridge as applicable to such Source Code.
<p>
With respect to content entered into and stored by publicly-accessible Site features such as message boards and bug trackers ("GreatBridge.org Public Content"), the submitting user retains any ownership interest he or she may have in such GreatBridge.org Public Content; however, publicly-available statistical content generated by the Site to monitor and display project activity is owned by Great Bridge.  In each such case, the submitting user grants Great Bridge the royalty-free, perpetual, irrevocable, non-exclusive and fully sublicensable right and license to use, reproduce, modify, adapt, publish, translate, create derivative works from, distribute, perform and display such Content (in whole or part) worldwide and/or to incorporate it in other works in any form, media, or technology now known or later developed, all subject to the terms of any applicable OSI-style license.
<p>
With respect to Content posted to private areas of the Site, the submitting user may grant to Great Bridge or other users such rights and licenses as the submitting user deems appropriate.
<p>
Content located on any Great Bridge-hosted subdomain which is subject to the sole editorial control of the owner or licensee of such subdomain, shall be subject to any applicable OSI-style license, or to such other licensing arrangements that may be approved by Great Bridge as applicable to such Content.
<p>
<b>6.  GENERAL PRACTICES REGARDING USE AND STORAGE; SERVICE INTERRUPTIONS</b><br>
While Great Bridge will use reasonable efforts to back up Site data and make such data available in the event of loss or deletion, Great Bridge has no responsibility or liability for the deletion or failure to store any Content maintained or transmitted by the Site.  Great Bridge reserves the right to mark as "inactive" and archive accounts and/or projects that are inactive for an extended period of time.  Great Bridge does not and cannot control the actions of Site users, visitors or linked third parties.  Great Bridge reserves the right to report any malfeasance which comes to its attention to the appropriate authorities.  Operation of the Site may be subject to interference from numerous factors outside of Great Bridge's control.  Further, scheduled and preventive maintenance as well as required and emergency maintenance work may temporarily interrupt access to the Site.
<p>
<b>7.  TERMINATION</b><br>
A user's account (or any part thereof) may be terminated for any reason, including but not limited to: 1)violation of the TOS; 2) abuse of Site resources, including any attempt to gain unauthorized entry to the Site or Site resources; 3) use of the Site in a manner inconsistent with the Purpose; 4) a user's request for termination; and 5) requirement of applicable law, regulation, court or governing agency order.Termination of a user's access to the Site or any Service hereunder may be effected without notice and, on such termination, Great Bridge may immediately deactivate or delete the terminated user's account and/or bar further access to the account's files, the Services or the Site.  Great Bridge shall not be liable to any user or other third party for any termination of that user's account or access to the Site or any Service. Notwithstanding the foregoing, unless prohibited by law or judicial or governmental order, Great Bridge shall make reasonable efforts to make available all information in a user's account to that user prior to deleting that account or marking that account "inactive", including emailing to the affected user a notice of such termination, indicating the location of that user's account information, and retaining the account information for at least 15 days after emailing such notice.
<p>
<b>8.  LINKS</b><br>
Links to other web sites and web-based resources may be provided on the Site.  Great Bridge exercises no control over such other web sites and web-based resources and is not responsible or liable for the availability thereof or the content, advertising, products or other materials thereon.  Great Bridge shall not be responsible or liable, directly or indirectly, for any damage or loss incurred or suffered by any user in connection with a linked site or resource.
<p>
<b>9.  INDEMNITY</b><br>
Each user shall indemnify, defend and hold harmless each of Great Bridge and its affiliates and their respective officers, employees and agents, and any of Great Bridge's web site partners from any and all claims or demands, including reasonable attorneys' fees, made by any third party due to or arising out of that user's acts or omissions, including claims arising out of that user's use of the Site, his or her submission, posting or transmission of Content or his or her violation of the TOS.
<p>
<b>10.  DISCLAIMER OF WARRANTIES; LIMITATION OF LIABILITY</b><br>
USE OF THE SITE IS AT EACH USER'S SOLE RISK.  THE SITE AND SERVICES ARE PROVIDED ON AN "AS IS" AND "AS AVAILABLE" BASIS AND GREAT BRIDGE ASSUMES NO RESPONSIBILITY FOR THE TIMELINESS, DELETION, MISDELIVERY OR FAILURE TO STORE ANY USER COMMUNICATIONS OR PERSONALIZATION SETTINGS.  EACH USER IS SOLELY RESPONSIBLE FOR ANY DAMAGE TO HIS OR HER COMPUTER SYSTEM OR LOSS OF DATA WHICH RESULTS FROM THE DOWNLOAD OF ANY CONTENT, COMMUNICATIONS OR OTHER MATERIAL FROM THE SITE.  GREAT BRIDGE EXPRESSLY DISCLAIMS ALL WARRANTIES OF ANY KIND, WHETHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT.  SPECIFICALLY, GREAT BRIDGE MAKES NO WARRANTY THAT (I) THE SITE OR ANY SERVICE OR CONTENT WILL MEET USER REQUIREMENTS OR EXPECTATIONS, (II) USER ACCESS WILL BE UNINTERRUPTED, TIMELY, SECURE OR ERROR-FREE, OR (III) ANY ERRORS IN THE SOFTWARE WILL BE CORRECTED.
<p>
Great Bridge shall not be liable for any direct, indirect, incidental, special, consequential or exemplary damages, including but not limited to damages for loss of profits, goodwill, use, data or other intangible losses (even if Great Bridge has been advised of the possibility of such damages), resulting from any 
user's use of or inability to use the Site or any Service; the cost of procurement of substitute services; 
unauthorized access to or alteration of user's transmissions or data; statements or conduct of any third 
party on the Site; or any other matter relating to Great Bridge or the Site.  In no event shall Great Bridge's total cumulative liability to any user or other party, under these TOS or otherwise, exceed $1,000.00.  Some jurisdictions do not allow the exclusion of certain warranties or the limitation or exclusion of liability for incidental or consequential damages.  Accordingly, some of the above limitations may not apply to you.  
<p>
THE DISCLAIMERS OF WARRANTY AND LIMITATIONS OF LIABILITY APPLY, WITHOUT LIMITATION, TO ANY DAMAGES OR INJURY CAUSED BY THE FAILURE OF PERFORMANCE, ERROR, OMISSION, INTERRUPTION, DELETION, DEFECT, DELAY IN OPERATION OR TRANSMISSION, COMPUTER VIRUS, COMMUNICATION LINE FAILURE, THEFT OR DESTRUCTION OR UNAUTHORIZED ACCESS TO, ALTERATION OF OR USE OF THE SITE, WHETHER ARISING OUT OF BREACH OF CONTRACT, TORTIOUS BEHAVIOUR, NEGLIGENCE OR ANY OTHER COURSE OF ACTION BY GREAT BRIDGE.
<p>
<b>11.  NO AGENCY RELATIONSHIP</b><br>
Nothing herein shall be deemed to create an agency, partnership, joint venture, employee-employer or franchisor-franchisee relationship of any kind between Great Bridge and any user or other person or entity nor do these TOS extend rights to any third party.
<p>
<b>12.  TRADEMARK INFORMATION</b><br>
The Great Bridge and GreatBridge.org logos and other Great Bridge trademarks, service marks, and 
product and service names are trademarks of Great Bridge, LLC (the "Great Bridge Marks").  All other marks are property of their respective owners.  Nothing in these TOS grants to users a license to display or use in any matter the Great Bridge Marks.
<p>
<b>13.  COPYRIGHTS</b><br>
Great Bridge respects the intellectual property of all parties and requests users to do the same.  Any party that believes that its Content has been copied in a way that constitutes copyright infringement should provide Great Bridge with the following information: (a) an electronic or physical signature of the person authorized to act on behalf of the owner of the copyright interest; (b) a description of the copyrighted work that has been infringed and a description of the infringing activity; (c) a description of where the copyrighted material is located on the Site; (d) the affected party's address, telephone number and email address; (e) a statement by the affected party that he or she has a good faith belief that the disputed use is not authorized by the copyright owner, its agent or the law; and (f) a statement by the affected party, under penalty of perjury, that the above information is accurate and that such party is the copyright owner or is otherwise authorized to act on the copyright owner's behalf.  Upon receipt of such a claim, Great Bridge reserves the right to refuse or delete Content as described under Section 4, or to terminate a user's account in accordance with Section 7.
<p>
Notifications of claimed copyright infringements should be sent to:
<p>
Great Bridge, LLC<br>
253 Monticello Avenue<br>
Norfolk, Virginia 23510<br>
Phone:  (757) 233-5500<br>
Fax: (757) 233-5555<br>
Email: <a href="mailto:webmaster@greatbridge.org">webmaster@greatbridge.org</a><br>
<p>
<b>14.  GENERAL INFORMATION</b><br>
The TOS constitute the entire agreement between each user and Great Bridge and govern each user's use of the Site, superceding any prior agreements.  Each user may be subject to additional terms and 
conditions that may apply when that user uses affiliate services, third party content or third party software.  The TOS and the relationship between each user and Great Bridge shall be governed by the laws of the Commonwealth of Virginia without regard to its conflict of law provisions, including, without limitation, all provisions of Virginia's enactment (without regard for the actual effective date thereof), as it may be amended from time to time, of the Uniform Computer Information Transactions Act, and each party shall submit to the personal and exclusive jurisdiction of the courts located within the city of Norfolk, Virginia.  If any provision of the TOS is found by a court of competent jurisdiction to be invalid, the parties nevertheless agree that the court should endeavor to give effect to the parties' intentions as reflected in the provision, and the other provisions of the TOS will remain in full force and effect.
<p>
<b>15.  VIOLATIONS</b><br>
Please report any violations of the TOS or any other matters to the Site's Webmaster at 
<a href="mailto:webmaster@greatbridge.org">webmaster@greatbridge.org</a>.  Alleged copyright infringements should be reported to the address posted in Section 13 of these TOS.
<p>
Last Modified:   (1/16/2001)
<p>
GreatBridge.org and Great Bridge are trademarks of Great Bridge, LLC.   All other trademarks and copyrights on this page are property of their respective owners  For information about other Content of this page, please see the Terms of Service governing usage of this site at <a href="/about/termscond.php">http://www.greatbridge.org/about/termscond.php</a>.  Content owned by Great Bridge is copyright  2000-<? print(date ("Y")); ?> Great Bridge, LLC.  All rights reserved.
</font>
</td>
</tr>
</table>

