<?

/**************************************************
Program name:		newsinput.php  
Author:			Allen McGrath (allen@greatbridge.com)

Description:		Allow user to input/update project 
			news bulletins
			
Create Date:		10/12/00 

Modified Date(s):	
							 
**************************************************/
 

$type_id = 8;

$site_group_id = 3;

if ($REQUEST_METHOD == "POST") {
    if (empty($home_page)) $home_page = 'f';

    if (empty($title) || empty($body) || empty($cat_id)) 
        $context = "Please enter a title, body and content type at the very least.";
	else {
        $chk_query = "SELECT CONTENT_ID FROM SITE_CONTENT WHERE " .
                     "TEMP_ID = '$temp_id'";
        
        $chk_result = pg_exec($conn,$chk_query);
        
        if (pg_numrows($chk_result) == 0) {
            $sc_query = "INSERT INTO SITE_CONTENT " .
                        "(TEMP_ID,GROUP_ID,CAT_ID,TITLE,SUBTITLE," .
                        "SUBMIT_DATE,START_DATE,END_DATE,HOME_PAGE,AUTHOR,EMAIL,URL,SLUG) " .
                        "VALUES('$temp_id',$site_group_id,$cat_id,'$title','$subtitle'," .
                        "'$submit_date','$start_date','$end_date','$home_page'," .
                        "'$author','$email','$url','$slug')";
         } else {
            $sc_query = "UPDATE SITE_CONTENT SET " .
                        "CAT_ID = $cat_id, " .
                        "AUTHOR = '$author'," .
                        "EMAIL = '$email'," .
                        "TITLE = '$title'," .
                        "SUBTITLE = '$subtitle'," .
                        "SUBMIT_DATE = '$submit_date'," .
                        "START_DATE = '$start_date'," .
                        "END_DATE = '$end_date'," .
                        "HOME_PAGE = '$home_page'," .
                        "URL = '$url', ".
                        "SLUG = '$slug' " .
                        "WHERE TEMP_ID = '$temp_id'";
        }
        
        
        echo $sc_query;
        $sc_result = pg_exec($conn,$sc_query);
        
        $file = fopen("/usr/local/gbsite/content/$temp_id","w");
        fwrite($file,fixquotes($body));
        fclose($file);        
        
        
        
        $context = "The program was successful.";
  
    }
    unset ($cat_id,$title,$subtitle,$start_date,$end_date,$email,$body,$author);
}


$temp_id = md5(time());
$ts_query = "SELECT CAT_ID, CAT_NAME FROM CATEGORY WHERE TYPE_ID = $type_id";
$ts_result = pg_exec($conn,$ts_query);

$ts = 0;
while ($row = @pg_fetch_array($ts_result,$ts++)) {
    $type_list[$row["cat_id"]] = $row["cat_name"];	
}	

?>
<form method="POST" ACTION="<?= $PHP_SELF ?>">
<input type="hidden" name="temp_id" value="<?= $temp_id ?>">
<table border="1" width="100%">
    <tr>
        <td colspan="2">
        <?= $context ?>
        </td>
    </tr>
    <tr>
        <td width="75">
        Content type: 
        </td>
        <td>
        <select name="cat_id">
            <option value="">
            <? 
            while(list($id,$name) = @each($type_list)) {
                echo "<option value=" . $id . ">" . $name ;
            }
            ?>
        </select>
        </td>
    </tr>
    <tr>
        <td width="75">
        Home: 
        </td>
        <td>
        <input type="checkbox" name="home_page" value="t">Check to show on home page
        </td>
    </tr>    
    <tr>
        <td width="75">
        Submit Date: 
        </td>
        <td>
        <input type="text" name="submit_date"> Date appears on press list page
        </td>
    </tr>  

    <tr>
        <td width="75">
        Start Date: 
        </td>
        <td>
        <input type="text" name="start_date"> Date this release will begin showing up.
        </td>
    </tr>
    <tr>
        <td width="75">
        End Date: 
        </td>
        <td>
        <input type="text" name="end_date"> Date this release is stopped.
        </td>
    </tr>  

    <tr>
        <td width="75">
        Slug: 
        </td>
        <td>
        <input type="text" name="slug" value="<?= $slug ?>">
        </td>
    </tr>     
            
    <tr>
        <td width="75">
        Title: 
        </td>
        <td>
        <input type="text" name="title" value="<?= $title ?>">
        </td>
    </tr> 
    <tr>
        <td width="75">
        Sub-Title: 
        </td>
        <td>
        <input type="text" name="subtitle">
        </td>
    </tr> 
    <tr>
        <td width="75">
        Body: 
        </td>
        <td>
        <textarea name="body" rows="5" cols="50"><?= $body ?></textarea>
        </td>
    </tr>     
    
    <tr>
        <td width="75">
        Author: 
        </td>
        <td>
        <input type="text" size="40" name="author" value="Official Press Release">
        </td>
    </tr>    
    <tr>
        <td width="75">
        Email: 
        </td>
        <td>
        <input type="text" size="40" name="email" value="<?= $email ?>">
        </td>
    </tr>       
    <tr>
        <td width="75">
        URL: 
        </td>
        <td>
        <input type="text" size="40" name="url" value="<?= $url ?>">
        </td>
    </tr>      
    <tr>
        <td colspan="2">
        <input type="submit" value="add to site">
 
</table>
</form>

            
            
            
            
            
