<?
    require_once("config.php");

    $conn  = pg_pconnect("host=$DBHOST port=$DBPORT user=$DBUSER dbname=$DBNAME password=$DBPASS");

    $query = "select * ".
             "  from site_info ".
             " where http_host = '$w_siteid'";

    $res   = pg_exec($conn, $query);
    $site  = pg_fetch_object($res,0);

 ?>
<a href="listsites.php">Site List</a> | <a href="showsite.php?w_siteid=<?= $w_siteid ?>">Refresh Site Info</a><p>
<form method=post action="updatesite.php">
<input type=hidden name=action value="update">
<input type=hidden name=w_siteid value="<?= $w_siteid ?>">
<table border=1>
<tr><td>SiteId:</td>
    <td><?= $site->http_host ?></td></tr>
<tr><td>Official Name:</td>
    <td><input type=text name="w_official_name" size=40 maxlength=128
         value="<?= $site->official_name ?>"></td></tr>
<tr><td>Name Prefix:</td>
    <td><input type=text name="w_name_prefix" size=18 maxlength=16
         value="<?= $site->name_prefix ?>"></td></tr>
<tr><td>Template Path:</td>
    <td><input type=text name="w_template_path" size=40 maxlength=128
         value="<?= $site->template_path ?>"></td></tr>
<tr><td>Image Path:</td>
    <td><input type=text name="w_image_path" size=40 maxlength=256
         value="<?= $site->image_path ?>"></td></tr>
<tr><td>Default Site:</td>
    <td><input type=radio name="w_default_page" value="true"
         <?= ($site->default_page=="t"?"checked":"") ?>> True<br>
        <input type=radio name="w_default_page" value="false"
         <?= ($site->default_page=="f"?"checked":"") ?>> False</td></tr>
<tr><td>Last Updated:</td>
    <td><?= $site->last_updated ?></td></tr>
<tr><td colspan=2 align=center>
        <input type=Submit value="Update">
        <input type=reset></td></tr>
	</table>
</form>

<hr>

<form method=post action="showpage.php">
<input type=hidden name="w_siteid" value="<?= $w_siteid ?>">
<select name="pageid" size=10>
<?
    $query = "  select web_page ".
             "    from page_info ".
             "   where http_host = '$w_siteid' ".
             "order by web_page ";
    $res   = pg_exec($conn,$query);

    $r = 0; 
    while($row = @pg_fetch_object($res,$r++)) {
        echo "<option value=\"" . $row->web_page . "\">".
             $row->web_page . "</option>\n";
    }
 ?>
</select><br>
<input type=submit value="Show Page">
</form>

<form method=post action="updatepage.php">
<input type=hidden name="action" value="new">
<input type=hidden name="w_siteid" value="<?= $w_siteid ?>">
<table border=1>
<tr><td colspan=3>Create a new Page</td></tr>
<tr><td>Pageid:</td>
    <td><input type=text name="pageid" value="" size=40 maxlength=64></td>
    <td>example: helppage</td></tr>
<tr><td>Page Title:</td>
    <td><input type=text name="page_title" value="" size=40 maxlength=128></td>
    <td>example: Help Page</td></tr>
<tr><td>Page Template:</td>
    <td><input type=text name="page_template" value="" size=40 maxlength=128></td>
    <td>This is the navigation template that is called when this page is
        executed and needs to display it's content. example: gb_navpage.php</td></tr>
<tr><td colspan=3 allign=center>
        <input type=submit value="Create">
        <input type=reset></td></tr>
</table>
</form>

<hr>

<form method=post action="showgroup.php">
<input type=hidden name="w_siteid" value="<?= $w_siteid ?>">
<select name="groupid" size=5>
<?
    $query = "  select group_id ".
             "    from group_info ".
             "   where http_host = '$w_siteid' ".
             "order by order_number ";
    $res   = pg_exec($conn,$query);

    $r = 0;
    while($row = @pg_fetch_object($res,$r++)) {
        echo "<option value=\"" . $row->group_id . "\">".
             $row->group_id . "</option>\n";
    }
 ?>
</select><br>
<input type=submit value="Show Group">
</form>

<form method=post action="updategroup.php">
<input type=hidden name="action" value="new">
<input type=hidden name="w_siteid" value="<?= $w_siteid ?>">
<table border=1>
<tr><td colspan=3>Create a new Group</td></tr>
<tr><td>Groupid:</td>
    <td><input type=text name="groupid" value="" size=20 maxlength=16></td>
    <td>example: admin</td></tr>
<tr><td>Name:</td>
    <td><input type=text name="name" value="" size=40 maxlength=64></td>
    <td>example: Administrative Tools</td></tr>
<tr><td>Attach to Page:</td>
    <td><select name="web_page">
        <option value="">Select Page</option>
<?
    $query = "  select web_page ".
             "    from page_info ".
             "   where http_host = '$w_siteid' ".
             "order by web_page ";

    $wpres = pg_exec($conn,$query);
    $wpr = 0;
    while($wprow = @pg_fetch_array($wpres,$wpr++)) { ?>
        <option value="<?= $wprow["web_page"] ?>"><?= $wprow["web_page"] ?></option>
<?  } ?>
        </select></td>
    <td>All groups must be attached to a page on the site</td></tr>
<tr><td>Group Type:</td>
    <td><input type=radio name="is_content" value="true"> Content<br>
        <input type=radio name="is_content" value="false"> Process</td>
    <td>A content page will show all the pages attached to it in the navigation.
        A Process page will not show the pages attached to it in the navigation.
        The process page is for organizing pages that a user needs to step through
        and not jump around in a process.</td></tr>
<tr><td colspan=3 allign=center>
        <input type=submit value="Create">
        <input type=reset></td></tr>
</table>
</form>


<hr>

<table border=1>
<tr><td colspan=4>Colors</td></tr>
<tr><td>Color name</td>
    <td>Color value</td>
    <td>Example</td>
    <td>Last Updated</td></tr>
<?
    $query = "  select number, value, last_updated ".
             "    from color ".
             "   where http_host = '$w_siteid' ".
             "order by number ";
    $res   = pg_exec($conn,$query);
    
    $r = 0;
    while($row = @pg_fetch_object($res,$r++)) {
        echo "<tr><td><a href=\"editcolor.php?w_siteid=" . $w_siteid . "&number=".
              $row->number . "\">color_" . $row->number . "</a></td>\n".
             "    <td>" . $row->value . "</td>\n".
             "    <td bgcolor=\"" . $row->value . "\">&nbsp;</td>\n". 
             "    <td>" . $row->last_updated . "</td></tr>\n";
    }
 ?>
</table>

<form method=post action="editcolor.php">
<input type=hidden name="action" value="new">
<input type=hidden name="w_siteid" value="<?= $w_siteid ?>">
<table border=1>
<tr><td>Color Number</td>
    <td>Color Value</td>
    <td>&nbsp;</td><tr>
<tr><td><input type=text name="number" value="" size=5 maxlength=3></td>
    <td><input type=text name="value" value="" size=20 maxlength=16></td>
    <td><input type=submit value=Update></td></tr>
</table>
</form>

<hr>

<table border=1>
<tr><td colspan=4>Fonts</td></tr>
<tr><td>Font name</td>
    <td>Font value</td>
    <td>Example</td>
    <td>Last Updated</td></tr>
<?
    $query = "  select number, value, last_updated ".
             "    from font ".
             "   where http_host = '$w_siteid' ".
             "order by number ";
    $res   = pg_exec($conn,$query);

    $r = 0;
    while($row = @pg_fetch_object($res,$r++)) {
        echo "<tr><td><a href=\"editfont.php?w_siteid=" . $w_siteid . "&number=".
              $row->number . "\">font_" . $row->number . "</a></td>\n".
             "    <td>" . $row->value . "</td>\n".
             "    <td><font face=\"" . $row->value . "\">Example</font></td>\n".
             "    <td>" . $row->last_updated . "</td></tr>\n";
    }
 ?>
</table>

<form method=post action="editfont.php">
<input type=hidden name="action" value="new">
<input type=hidden name="w_siteid" value="<?= $w_siteid ?>">
<table border=1>
<tr><td>Font Number</td>
    <td>Font Value</td>
    <td>&nbsp;</td><tr>
<tr><td><input type=text name="number" value="" size=5 maxlength=3></td>
    <td><input type=text name="value" value="" size=20 maxlength=64></td>
    <td><input type=submit value=Update></td></tr>
</table>
</form>


