<html>
<head>
<title>Great Bridge</title>
</head>
<body bgcolor="#ffffff" link="#000000" vlink="#000000">
<a name="top"></a>
<h1>Open Source Applications and Tools for PostgreSQL</h1>
<p>
<?php
if(! $showlist) {
 ?>
This list is a work in progress, provided to the PostgreSQL community as a
service of Great Bridge. Please feel free to <a href="#add">add to the list</a>
using the form below.  Only programs that meet the <a href="http://www.opensource.org/osd.html">Open Source Definition</a>, please.
<p>
Thanks! Comments to Ned Lilly,
<a href="mailto:ned@greatbridge.com">ned@greatbridge.com</a>

<p>
<?php
    $webmaster = "chris@greatbridge.com";

    $query = "  select DISTINCT tools_types.name as cat, tools_types.ordr " .
             "    from tools_types, tools ".
             "   where tools_types.type = tools.type ".
             "     and tools.do_show = true " .
             "order by tools_types.ordr";

    if(!($res = @pg_exec($conn,$query))) {
        echo "There was an error getting information from the database. " .
             "Please contact the webmaster if the problem persists. " .
             "<a href=mailto:$webmaster>" .
             "$webmaster</a>";
        exit;
    }

    $r = 0;
    echo "<center>[ ";
    while($row = @pg_fetch_object($res,$r++)) {
        if($r != 1) echo " | ";
        echo "<a href=\"#" . str_replace(" ","_",str_replace("/","_",$row->cat)) . "\">" . $row->cat . "</a>";
    }
    echo " ]</center>\n<p>\n";

    $query = "  select tools_types.name as cat, tools.name as name, " .
             "         tools.description, tools.url, tools.maintainer, " .
             "         tools.email, tools.tested " .
             "    from tools_types, tools ".
             "   where tools_types.type = tools.type ".
             "     and tools.do_show = true " .
             "order by tools_types.ordr, tools.name";

    if(!($res = @pg_exec($conn,$query))) {
        echo "There was an error getting information from the database. " .
             "Please contact the webmaster if the problem persists. " .
             "<a href=mailto:$webmaster>" .
             "$webmaster</a>";
        exit;
    }

    $last_category = "";

 ?>
<table border=1 cellpadding=5 cellspacing=0 width=100%>
        <tr bgcolor="#003399">
                <td><font color="#FFFFFF">Name</font></td>
                <td><font color="#FFFFFF">Description</font></td>
                <td><font color="#FFFFFF">Contact:</font></td>
                <td><font color="#FFFFFF">Tested by GB?</font></td>
        </tr>
<?php
    $r = 0;
    while(($row = @pg_fetch_object($res, $r++))) {
    $category = $row->cat;
    if($category != $last_category) {
        echo "<tr bgcolor=\"#003399\"><td colspan=4><font color=\"#FFFFFF\">" .
             "<a name=\"" . str_replace(" ","_",str_replace("/","_",$row->cat)) . "\">" .
             $row->cat . "</a> <i><a href=\"#top\">(to top)</a></i></font></td></tr>\n";
    }
    $last_category = $category;
 ?>
        <tr>
                <td><?php echo $row->name ?></td>
                <td><?php echo $row->description ?></td>
                <td><font size="-1">URL: <a href="<?php echo $row->url ?>"><?php echo $row->url ?></a><br>
                Maintainer: <a href="mailto:<?php echo $row->email ?>"><?php echo $row->maintainer ?></a></font></td>
                <td><?php echo ($row->tested=='f'?"No":"Yes") ?></td>
        </tr>
<?php
    } /* end of the for loop */
 ?>
</table>
<?php
} /* end the if(show_list) */

if($errmsgs) {
    echo "<blockquote>";
    echo $errmsgs;
    echo "<p>";
    echo "The Application Name must be a unique name and all fields must be filled in.";
    echo "</blockquote>";
}

 ?>

<p><div align="center"><hr width=75%></div><p>
<a name="add"></a>
<h3>Want to add an application or tool?</h3>
<p>
<form action="toolupdate.php" method=post>
<table border=0 cellpadding=3 cellspacing=3">
        <tr>
                <td align=right>Application Name:</td>
                <td><input size=40 type=text name="app_name" value="<?php echo $app_name ?>"></td>
        </tr>
        <tr>
                <td align=right>Application Category:</td>
                <td><select name="app_cat">
<?php
        $res = @pg_exec($conn, "select type,name from tools_types order by ordr");
        $r = 0;
        while($row = @pg_fetch_object($res,$r++)) {
            $extra_opts = "";
            if($app_cat == $row->type) {
                $extra_opts = " selected";
            }

            echo "                    <option value=\"" .
                 $row->type . "\"" . $extra_opts . ">" .
                 $row->name . "</option>\n";
        }
 ?>
                    </select></td>
        </tr>
        <tr>
                <td align=right valign=top>Description:</td>
                <td><textarea wrap=virtual cols=40 rows=3 name="app_description"><?php echo $app_description ?></textarea></td>
        </tr>
        <tr>
                <td align=right>URL:</td>
                <td><input size=40 type=text name="app_URL" value="<?php echo $app_URL ?>"></td>
        </tr>
        <tr>
                <td align=right>Maintained by:</td>
                <td><input size=40 type=text name="maintainer_name" value="<? echo $maintainer_name ?>"></td>
        </tr>
        <tr>
                <td align=right>Maintainer's email:</td>
                <td><input size=40 type=text name="maintainer_email" value="<?php echo $maintainer_email ?>"></td>
        </tr>
        <tr>
                <td align=right>Submitted by:<br>(Optional, will not be displayed)</td>
                <td><input size=40 type=text name="submit_name" value="<? echo $submit_name ?>"></td>
        </tr>
        <tr>
                <td align=right>Submitter's email:<br>(Optional, will not be displayed)</td>
                <td><input size=40 type=text name="s_email" value="<?php echo $s_email ?>"></td>
        </tr>
        <tr>
                <td align=right>&nbsp;</td>
                <td><input type=submit value="Add"> <input type=reset></td>
        </tr>
</table>
</form>
</body>
</html>
