<?
    /*
     * File: press.php
     *
     * Description:
     *
     * Creator: Allen McGrath <amcgrath@greatbridge.com>
     * Created: ??/??/????
     *
     * Change Log:
     *     Allen McGrath <amcgrath@greatbridge.com> ??/??/????
     *         - Intial file creation
     *     Chris Ryan <chris@greatbridge.com> 10/24/2000
     *         - Added file comments
     *         - did some formatting of code
     *         - added the use of pg_freeresult() after completed queries
     */

    $sc_query = "SELECT CONTENT_ID, TITLE, BODY, AUTHOR, ".
                "       URL, SUBMIT_DATE, SLUG ".
                "  FROM SITE_CONTENT ".
                " WHERE GROUP_ID = $site_group_id ";

    if (empty($showall)) {
        $sc_query .= " AND HOME_PAGE = 't' ";
    }

    $sc_query .= " AND CAT_ID = 79 ".
                 " AND START_DATE <= now() ".
                 " AND END_DATE > now() ".
                 " ORDER BY SUBMIT_DATE DESC";

    $sc_result = pg_exec($conn,$sc_query);
    
    $r = 0;
    while ($row = @pg_fetch_array($sc_result,$r++)) {
        $press_list[] = array( "content_id" => $row["content_id"],
                               "title" => $row["title"],
                               "author" => $row["author"],
                               "url" => $row["url"],
                               "slug" => $row["slug"],
                               "body" => $row["body"],
                               "submit_date" => $row["submit_date"]);
    }
    pg_freeresult($sc_result);
 ?>
