<?

/* Allen Mcgrath allen@greatbridge.com 10/12/2000
	added TITLE to bUG table insert et al
*/

    $web_page = "bugaddpage";
    include("site_info.php");
    $group_group_id = "bugadd";

		$context = "There was a problem with the information you submitted.  Specifically:";
    $web_page = "contextpage";

    if(empty($title)) {
        $context_error[] = "You must enter a title for the bug report";
    }

    if(empty($class_id)) {
        $context_error[] = "You must select a Bug Type";
    }

    if(empty($priority)) {
        $context_error[] = "You must select a priority";
    }

    if(empty($severity_id)) {
        $context_error[] = "You must select a Severity";
    }

    if(empty($version)) {
        $context_error[] = "You must specify the version of the program you are using";
    }

    if(empty($os)) {
        $context_error[] = "You must specify the operating system you are using";
    }

    if(empty($os_version)) {
        $context_error[] = "You must specify the version of the operating system you are using.";
    }

    if(empty($platform)) {
        $context_error[] = "You must specify the platform you running the software on";
    }

    if(empty($member_id) && empty($email)) {
        $context_error[] = "You must specify an email address or be logged in when submitting a bug";
    }

    if(empty($environment)) {
        $context_error[] = "You must specify details about the environment you were in when you encountered the problem. Operating System, hardware, other programs running at the time and more.";
    }

    if(empty($description)) {
        $context_error[] = "You must specify a detailed description of your problem along with workarounds (if any known) and any other applicable information. You can never specify to much information.";
    }

    if(empty($context_error)) {
        # we are good to go... insert the data and be done with it!
        $environment = sqlText($environment);
        $description = sqlText($description);
        $version = sqlText($version);
        $os = sqlText($os);
        $os_version = sqlText($os_version);
        $platform = sqlText($platform);
        $created_by = (empty($member_id)?"null":$member_id);
        $email = sqlText($email);
				$title = sqlText($title);
				
        $query = "insert into bug ".
                 "       (project_id,class_id,priority,severity_id,status_id, ".
                 "        description,version,os,os_version,platform, ".
                 "        created_by,email,title,environment) ".
                 "values ($project_id,$class_id,$priority,$severity_id, ".
                 "        $BUG_DEFAULT_STATUS,$description,$version,$os, ".
                 "        $os_version,$platform,$created_by,$email,$title, ".
                 "        $environment) ";
        $res   = @pg_exec($conn,$query);
        if(!empty($res)) {
            $query = "select currval('bug_bug_id_seq')";
            $res   = pg_exec($conn,$query);
            $bug_id = pg_result($res,0,0);

            # find and notify any as needed that a new bug was submitted
            $emails = getMailConfig("bugs","condition = 'project $project_id new'");
            while(list(,$send_to) = @each($emails)) {
                mailBug($bug_id,$send_to,"(new)","");
            }

            RedirectTo("/project/$project_name/bugs/buglist.php?success=yes");
            exit;
       } else {
            $context_error[] = pg_errormessage($conn);
        }
    }

    include($page_template);
 ?>
