<?

/**************************************************\
Program name:	  faqmain.php  
Author:	          Allen McGrath(amcgrath@greatbridge.com)

Description:	  main entry  page for the faq feature
		  , basically allows an admin to manage
                  his/her faqs.	
Create Date:	  01/16/2001
Modified Date(s):
\**************************************************/

$web_page = "faqmainpage";
include("site_info.php");
$group_group_id = "faq";

if (empty($faq_id)) {
  $faq_query = "select a.faq_id,a.version_id," .
               "a.question,a.create_date,b.cat_name " .
               "from faq a,faq_category b, faq_cat_group c " .
               "where a.project_id = $project_id " .
               "and a.display = 't' " .
               "and b.cat_id = c.cat_id " .
               "and c.faq_id = a.faq_id " .
               "order by b.cat_name";
 # echo $faq_query;
  $faq_result = pg_exec($conn,$faq_query);

  if (pg_numrows($faq_result) != 0) {
    $faq = 0;
    while($row = @pg_fetch_array($faq_result,$faq++)) {
      $faq_list[] = array("faq_id"      => $row["faq_id"],
                        "version_id"  => $row["version_id"],
                        "question"    => $row["question"],
                        "create_date" => date("m-d-Y",$row["create_date"]),
                        "cat_name"    => $row["cat_name"]
                        );
    }
  } else {
    $context = "We're sorry, FAQs are currently not " .
               "available for this project.";
  }
} else {
  $faq_query = "select a.question,a.response,a.example_1,a.create_date," .
               "a.modify_date,c.version_code,b.member_name " .
               "from faq a, member b, project_version c " .
               "where a.project_id = $project_id " .
               "and a.faq_id = $faq_id " .
               "and b.member_id = a.member_id " .
               "and (a.version_id = c.version_id or a.version_id = 0)";

# echo $faq_query;
  $faq_result = pg_exec($conn,$faq_query);
  $faq_info = @pg_fetch_object($faq_result,0);

  $question    = $faq_info->question;
  $response    = $faq_info->response;
  $example_1   = $faq_info->example_1;
  $create_date = $faq_info->create_date;
  $modify_date = $faq_info->modify_date;
  $version_code  = $faq_info->version_code;
  $creator     = $faq_info->member_id;

#  echo $faq_query;
}

include($page_template);
 ?>
