<?

/**************************************************
Program name:		newsinput.php  
Author:			Allen McGrath (allen@greatbridge.com)

Description:		Allow user to input/update project 
								news bulletins
			
Create Date:		10/12/00 

Modified Date(s):	01/02/2001 - Chris Ryan <chris@greatbridge.com>
                        Added code to handle the new on_homepage field
							 
**************************************************/
 
$web_page = "newsinputpage";
include("site_info.php");
$group_group_id = "news";


if (empty($member_id) || $access_level < 2) {
	$context = "There was a problem with your request.  Specifically: ";
	$context_error[] = "Only admins,developers and members of a project can add news bulletins.";
	$web_page = "contextpage";
	include($page_template);
	return;
}

if ($REQUEST_METHOD == "GET") {
	$temp_id = md5(time());
	
	if (!empty($news_id)) {
		$scenario = "Update";
		$ns_query = "SELECT * FROM PROJECT_NEWS WHERE NEWS_ID = '$news_id'";
		$ns_result = pg_exec($conn,$ns_query);		
		
		$ns_info      = pg_fetch_object($ns_result,0);
		$temp_id      = $ns_info->temp_id;
		$member_id    = $ns_info->member_id;
		$active	      = $ns_info->active;
                $on_homepage  = $ns_info->on_homepage;
		$headline     = $ns_info->headline;
		$body         = $ns_info->body;	
	
		if ($active == 't')  $active = "CHECKED";
                if ($on_homepage == 't') $on_homepage = "CHECKED";
	
	}
	else {
            $scenario = "Add";
            $active = "CHECKED";
        }
	
	

}
else {
	if ((empty($headline) || empty($body)) && !empty($temp_id)) {
		$context = "please enter at least a title and description.";
	}

	else {	
		$active = (empty($active) ? "f" : $active);
                $on_homepage = (empty($on_homepage) ? "f" : $active);
		

		$chk_query = "SELECT TEMP_ID FROM PROJECT_NEWS WHERE TEMP_ID = '$temp_id'";
		$chk_result = pg_exec($conn,$chk_query);
	
		if (pg_numrows($chk_result) == 0) {
			$na_query = "INSERT INTO PROJECT_NEWS " .
			"(GROUP_ID,TEMP_ID,HEADLINE,BODY,ACTIVE,".
                        " MEMBER_ID,PROJECT_ID,ON_HOMEPAGE) " .
			"VALUES($site_group_id,'$temp_id','$headline', ".
                        "       '$body','$active',$member_id,$project_id, ".
                        "       '$on_homepage')";
                    $emails = getMailConfig("news","condition = 'project $project_id new'");
                    while(list(,$send_to) = @each($emails)) {
                        mail($send_to,"NEWS: $headline",$body,"From: webmaster@greatbridge.org");
                    }
		} else { 
                    $na_query = "UPDATE PROJECT_NEWS ".
                                "   SET HEADLINE = '$headline', " .
				"       BODY = '$body',	" .
				"       ACTIVE = '$active', " .
                                "       ON_HOMEPAGE = '$on_homepage' ".
				" WHERE TEMP_ID = '$temp_id' " .
				"   AND PROJECT_ID = $project_id";
		}


		$na_result = pg_exec($conn,$na_query);
		$context = "The project news bulletin " . $headline .
                           " is now attached to your project.";
		$temp_id = md5(time());
		unset($headline,$body); 
	}
}

	$nx_query = "SELECT news_ID, HEADLINE FROM PROJECT_NEWS WHERE " .
            "PROJECT_ID = $project_id AND ACTIVE = 't' ORDER BY SUBMIT_DATE";
	$nx_result = pg_exec($conn,$nx_query);
	
		
	$r = 0;
	while ($row = @pg_fetch_array($nx_result,$r++)) {
		$nx_list[] = array( "news_id" => $row["news_id"],
			                       "headline" => $row["headline"],
														 "body" => $row["body"]);
	}	

include($page_template);
?>

