<?
    $web_page = "projaddpage";
    include("site_info.php");

    if(empty($site_group_id)) {
        $site_group_id = "0";
    }

    if(empty($member_id)) {
        $context_error[] = "<font face=" . $font_1 . " size=2>You must be logged in before you can create a project.</font>";
    }

    if(empty($project_name)) {
        $context_error[] = "<font face=" . $font_1 . " size=2>You must specify the unix name of the project</font>.";
    } else {
        $project_name = strtolower($project_name);
        if(!ereg("^[a-z0-9]*$",$project_name)) {
            $context_error[] = "The name you choose for project, '$project_name', contains characters that are unacceptable.";
            $context_error[] = "Project names can only contains alpha-numeric characters and dashes.";
        } else {

            /* now make sure the name is unique */
            $query = "select count(*) ".
                     "  from project ".
                     " where project_name = '$project_name' ";
            $res   = pg_exec($conn,$query);
            $count = pg_result($res,0,0);
            if($count > 0) {
                $context_error[] = "<font face=" . $font_1 . " size=2>The project name you specified '$project_name' is not a unique name.</font>";
            }
        }
    }
    
    if(empty($project_title)) {
        $context_error[] = "<font face=" . $font_1 . " size=2>You must specify a project title for this project.</font>";
    } else {
        $query = "select count(*) ".
                 "  from project ".
                 " where project_title = '$project_title' ";
        $res   = pg_exec($conn,$query);
        $count = pg_result($res,0,0);
        if($count > 0) {
            $context_error[] = "<font face=" . $font_1 . " size=2>The project title you specified '$project_title' is not a unique title.</font>";
        }
    }

    if(empty($license_id)) {
        $context_error[] = "<font face=" . $font_1 . " size=2>You must select a license for this project.</font>";
    }

    if(empty($description)) {
        $context_error[] = "<font face=" . $font_1 . " size=2>You must specify a description for your project.</font>";
    }

    if(empty($context_error)) {
        $query = " insert into project ".
                 "        (project_name,project_title,description,license_id, ".
                 "         member_id,site_group_id) ".
                 " values ('$project_name','$project_title','$description', ".
                 "         $license_id, $member_id,$site_group_id) ";
        $res   = @pg_exec($conn,$query);
        if($res == 0) {
            $context_error[] = @pg_errormessage($conn);
        } else {
            $query = "select project_id ".
                     "  from project ".
                     " where project_name = '$project_name' ";
            $res   = pg_exec($conn,$query);
            $new_project_id = pg_result($res,0,0);
            $query = "insert into member_role ".
                     "values ($member_id,4,$new_project_id) ";
            $res   = pg_exec($conn,$query);

            # send an email to the specified staff member
            $query = "select email from staff where staff_id = $SEND_PROJECT_NOTIFICATION_TO_STAFF_ID";
            $res   = pg_exec($conn,$query);

            if(!empty($res) && pg_numrows($res) > 0) {
                mail(pg_result($res,0,0),
                     "A new project has been submitted: $project_title",
"A new project has been submitted:

Name: $project_name
Title: $project_title
Description:
$description
");
            }
        }
    }

    if(!empty($context_error)) {
        $context = "There were problems with your project.";
        $web_page = "contextpage";
    } else {
		



	# Build out the category list here	

        $cat_list = getCats(0);
				
				
# End the category list build
		
		}
		

    include($page_template);
 ?>
