<?

#retrieve statistics from the survey
$question_id = $QUERY_STRING;

$ss_query = "select count(*) as scnt, b.question, b.question_id, c.answer, c.answer_id " . 
						"from survey_response a, survey_question b, survey_answer c " .
						"where a.question_id = $question_id " .
						"and b.question_id = a.question_id " .
						"and c.answer_id = a.answer_id " .
						"group by b.question_id, b.question, c.answer, c.answer_id " .
						"order by b.question_id";

						
$ss_result = pg_exec($conn,$ss_query);

$x = 0;
while ($row = @pg_fetch_array($ss_result,$x++)) {
	$title   = $row["question"];
	$ans     = $row["answer"];
	$ansid   = $row["answer_id"];
	$cnt	   = $row["scnt"];
	$total  += $cnt;
	$max     = max($max,$cnt);
	$result[$ans] = $cnt;
}


$clr = 1;
$width = 200;
$height = 100;
$qimg    = ImageCreate($width,$height);
$color_1 = ImageColorAllocate($qimg,255,0,0);
$color_2 = ImageColorAllocate($qimg,0,0,0);
$color_3 = ImageColorAllocate($qimg,25,220,65);
$color_4 = ImageColorAllocate($qimg,30,130,215);
$white 	 = ImageColorAllocate($qimg,255,255,255);

ImageFill($qimg,0,0,$white);

ImageString($qimg,2,0,10, $title, $color_2);

# build the color bars

while (list($key,$value) = @each($result)) {

# first figure out what bar I am working on.
#that will give me the x1 and x2 coordinate (bar is 25 pix wide)

$x1 = (($clr * 25) - 25);
$x2 = (($clr * 25) + 1);

# second figure out what percent of the total is this response count
# that will give me the y1 and y2 coordinate

$y1 = round(($value / $max) * 100);
$y2 = $height;

#third figure out the color value
$color = "color_" . $clr;

#echo "<li>" . $x1 . "," . $y1 . "," . $x2 . "," . $y2 . "," . $$color;

ImageFilledRectangle ($qimg, $x1, $y1, $x2, $y2, $$color);


#	echo "<li>" . $clr . ".Question = " . $title . " key = " . $key . " value = " . $value . " max = " . $max;
	++$clr;
}



header ("Content-type: image/gif");
ImageGIF($qimg);
ImageDestroy($qimg);
 
 ?>
