<?
    $web_page = "tasklistpage";
    include("site_info.php");
    $group_group_id = "tasks";

    $select_options = "";
    $sort_options = "DATE_CREATED DESC ";

    if($sel_options != "yes") {
        if(!empty($tasksearch_last)) {
            $sel_data = unserialize(stripslashes($tasksearch_last));
            extract($sel_data);
            $using_stored_search = "yes";
            $sel_options = "yes";
        } else if(!empty($tasksearch_default)) {
            $sel_data = unserialize(stripslashes($tasksearch_default));
            extract($sel_data);
            $using_stored_search = "yes";
            $sel_options = "yes";
        }
    }


    if($sel_options == "yes") {
        $sel_data["sel_owner"] = $sel_owner;
        $sel_data["sel_submitter"] = $sel_submitter;
        $sel_data["sel_created_start"] = $sel_created_start;
        $sel_data["sel_created_end"] = $sel_created_end;
        $sel_data["sel_percomplete_start"] = $sel_percomplete_start;
        $sel_data["sel_percomplete_end"] = $sel_percomplete_end;
        $sel_data["sel_status"] = $sel_status;
        $sel_data["sel_version"] = $sel_version;
        $sel_data["sel_text"] = $sel_text;
        $sel_data["sel_sort_primary"] = $sel_sort_primary;
        $sel_data["sel_sort_secondary"] = $sel_sort_secondary;
        if($sel_make_default == "yes")
            setcookie("tasksearch_default",serialize($sel_data),time()+31536000,"/");
        if($using_stored_search != "yes")
            setcookie("tasksearch_last",serialize($sel_data),0,"/");

        if (!empty($sel_owner))
            $select_options .= " AND assigned_to = $sel_owner ";
        if (!empty($sel_submitter))
            $select_options .= " AND created_by = $sel_submitter ";
        if(!empty($sel_created_start))
            $select_options .= " and date_created >= ". sqlDate($sel_created_start) . " ";
        if(!empty($sel_created_end))
            $select_options .= " and date(date_created) <= ". sqlDate($sel_created_end) . " ";
        if(!empty($sel_percomplete_start))
            $select_options .= " and percent_done >= $sel_percomplete_start ";
        if(!empty($sel_percomplete_end))
            $select_options .= " and percent_done <= $sel_percomplete_end ";
	if (!empty($sel_status)) {
            if($sel_status == "!Closed")
                $select_options .= " AND STATUS_ID != 50 ";
            else
                $select_options .= " AND STATUS_ID = $sel_status ";	 
        }
        if(!empty($sel_version))
            $select_options .= " AND version_id = $sel_version ";
        if(!empty($sel_text)) {
            $sel_text = sqlText("%".str_replace(" ","%",strtolower(trim($sel_text)))."%");
            $select_options .= " and lower(comments) like $sel_text ";
        }
        if(!empty($sel_sort_primary)) {
            $sort_options = $sel_sort_primary;
            if(!empty($sel_sort_secondary)) {
                $sort_options .= ", " .$sel_sort_secondary;
            }
        }
    }

    /* do code here to get the tasks in the database */
    $query = "  select task_id, task_name, assigned_to, ".
             "         percent_done, status_id, priority, ".
             "         date_created ".
             "    from task ".
             "   where project_id = $project_id ".
             $select_options .
             (!empty($sort_options)?"ORDER BY $sort_options ":"");

    # execute the query and get the results
    $res   = pg_exec($conn,$query);

    $num_tasks = pg_numrows($res);

    $r = 0;
    while($row = @pg_fetch_array($res,$r++)) {
        $task_list[] = $row;
    }

    # get an array of the statuses
    $status_list = getTaskStatusList();

    include($page_template);
 ?>
